Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/blind: new aport

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Wed, 8 Mar 2017 23:10:13 +0100

---
 testing/blind/APKBUILD          |  47 ++++++++++++++++++++++++++++++++++++++++
 testing/blind/fix-readall.patch |  23 ++++++++++++++++++++
 testing/blind/test.ff.bz2       | Bin 0 -> 2403 bytes
 3 files changed, 70 insertions(+)
 create mode 100644 testing/blind/APKBUILD
 create mode 100644 testing/blind/fix-readall.patch
 create mode 100644 testing/blind/test.ff.bz2
diff --git a/testing/blind/APKBUILD b/testing/blind/APKBUILD
new file mode 100644
index 0000000000..d983def65e
--- /dev/null
+++ b/testing/blind/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor:Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=blind
+pkgver=1.0
+pkgrel=0
+pkgdesc="blind is a collection of command line video editing utilities"
+url="http://tools.suckless.org/blind/"
+arch="all"
+license="ISC"
+makedepends="ffmpeg ffmpeg-dev imagemagick-dev"
+subpackages="$pkgname-doc"
+source="http://dl.suckless.org/tools/blind-$pkgver.tar.gz
+	fix-readall.patch
+	test.ff.bz2
+"
+builddir="$srcdir/blind-$pkgver"
+
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	# Check if blind is operational
+	bunzip2 < "$srcdir/test.ff.bz2" | ./blind-from-image -f > test.bl || return 1
+	./blind-repeat 15 test.bl | ./blind-flop | ./blind-flip \
+		| ./blind-dissolve | ./blind-to-video 50 -c:v libx264 -preset fast -crf 0 \
+		-pix_fmt yuv444p out.mp4 || return 1
+	rm test.bl out.mp4
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+	cp blind-rotate-* "$pkgdir/usr/bin/"
+}
+
+md5sums="5950b21690b79f44945422db3b108372  blind-1.0.tar.gz
+17ca341f9ec9fa29680e07af1552122d  fix-readall.patch
+433d1680f8820eb0b21f143948498fbb  test.ff.bz2"
+sha256sums="a9879abf8eac042523177b3fc616cbc4a39888927832994c5daa3ef11c9a66ac  blind-1.0.tar.gz
+2a5835b376838062e6858ce5ea0953eefdbe560bfa37e2bed3cb39bdbb3da1b6  fix-readall.patch
+5fdb176ad0653d3d6b3ce332deeaeff01a69ea0fed4cd9967b41a73a47cec19a  test.ff.bz2"
+sha512sums="5543efa9ff9b6931288c5d987ea8a73e2aed695a979b9f326d2f2d6d2352170ef37bd017997a43a0b425d8ae68e0b981d22b4dccc0140e4fdd6890058d020291  blind-1.0.tar.gz
+cc5ef6e5d84202a4194b4858177d7385674208338de5ce68918838d162ad57bc89f738484bda3bdb2e121fb75029fe74bbf460e92d0ba6b3a678883f151002f9  fix-readall.patch
+0834032e1e416824883658478b8cc2821df9b41cf4f169f471df0476c35dfe4a6bcc9c103e5522e54d7f820f77710e3215c691fa39311f6be3310cb1745e2b73  test.ff.bz2"
diff --git a/testing/blind/fix-readall.patch b/testing/blind/fix-readall.patch
new file mode 100644
index 0000000000..1e5ebfdacb
--- /dev/null
+++ b/testing/blind/fix-readall.patch
_at_@ -0,0 +1,23 @@
+---
+ src/util.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/util.c b/src/util.c
+index 6c1bd0a..8967392 100644
+--- a/src/util.c
++++ b/src/util.c
+_at_@ -136,9 +136,9 @@ readall(int fd, void *buf, size_t n)
+ 			return -1;
+ 		if (r == 0)
+ 			break;
+-		r += (size_t)r;
++		ptr += (size_t)r;
+ 	}
+-	return r;
++	return ptr;
+ }
+ 
+ int
+-- 
+2.11.1
+
diff --git a/testing/blind/test.ff.bz2 b/testing/blind/test.ff.bz2
new file mode 100644
index 0000000000000000000000000000000000000000..8469a224524242717aa9292139037dd8501a28e4
GIT binary patch
literal 2403
zcmV-p37qyqT4*^jL0KkKS*F_at_AfB+Gn|Nr0L&1<j!|NsB}-~Ye=|JT2FpXdMo|NsC0
z|NsC0|Nr0!pJprujojb>)7^pV+uWg9LKz}cNYK!Ff$9JN000000078n4GjU10io(W
zL(NH`XaLh{0BPw15vS=-O(RBzfDHf!jDX4sAvTRP$~H-ZNuxk$8&Rg3G}?xM00Te(
z(?d-Gv=Gn%`k(*+003wjGynhq0001lBx+<d35lj?n2j1?8Zk7}O)_NDAjk}Z8jYeb
zK*_at_=rgwVk-Oo4!yfuPXH(=>sI(@aK~2-<37Xvu?5RSHc5Kxi^(000000iZMkKx6;_
z(V%2B00E|frbA5t00ThNLnBOpXaE2ML;xB9Gynhq0f+{G0iXZ?10zfz00STZ00000
z&;S4c0077afQlg!YBFU#O-&8uJf;&#<pV$f&_at_?pijQ|f&XaF=CdPCG?8UsM}4=L&C
zLFkPcHlt-d4M5Nzs%<BP#XJzwG6$$VPEe_<_at_e&ATM(5MWc5tF1UIGC9O>Bao0tG_at_1
z4Pl!$Zl^9B)I>w4WC)nJp%)ma)V!)yP!U$E)~jf)*Q_at_eqlS*XOSX<CQ36>J?pFWwj
z+U8YoxZJLY7g2e<UvJW>NSYW?gv4Uz<0CX$XxP-$olw_nb`kqD4qXRG?{XeHWDq1I
zWJddYB_+Y(_at_woDGk9oY#cT9AjK7B3N()If_at_6Fs)Ooz*~{_at_SvXYroMiE&+MQc>IEtk
zf$%?1xLEyA(4`mhij04lV1TuUVDTZA88_at_~|4+=6+hk&?KCRvm3kSsECY=bJWKrECp
zU$RI!)qoi&EQ5YaB_at_Ba1mP7sc`v;k}!H#qTXaV(*)6}U#5&KBec5{+M2lASY21jD{
z)epKKWwj;;YA~-_at_uFPyv2}7%Nv=T(CD7fJ)Ajql!b)u*NocRl9F=@_1n+VQg)0{LZ
zI);!t2`fnxs~v3Ap)PQsz=6#GNCkPL?=zSW-$yoj;-Zdd{s31q_at_WYB7dzMK7;&0Mv
z0;z;&NDOuWlcgd*5_PVFPSyq}rq!=GXlR{dT|%OvDuj?F4?e>PfiV_EtOR;(P3*9&
zHYgsIS(Nl2jOC$raVjCYiK*<3Rw=jVrU<)IDA7^u9R+8vL%F=IBl7kx-)uJ)nHk*9
z*^Z96m2$g3$n&?Ip_at_YFfsoJ11y4#K~$F2oaD!>*Y0FA_at_X-89@G`XtNB_7*Svf1h$Y
ztW4b6owsYCY4(D0_at_oXTW5Q}aV%P5a{5~9+dnheVk(Y+DTgmFw_at_BjbPpL;x9%5cZ$$
zP$yc67>lE4AaYa+x`9ftRAx)>10XVE2?$^j0ndU#Xsk4C^;I+sbR(Li5V9YTFbXfh
zK_at_O(<=jO!SP5bZ+bts)$AWC|as&wdpK&WaPHt<0@#g!Haf>17caI~=wxA-BW=x|+M
z+|%rG)HVfRIyt`OLZBr9oQ>h0^%*3Y?f2G(c%xAY&U_at_=JY6IXVsyX9$a}fus(bAgE
zTOt(>-2~8^)A+bDH`}+O?b~kOpN42NmpisG(Pb90fxi&$9;USb$BL*_at_K_2B1nM6T2
z0*EH_at__at_wF-x9pj;<G!oDvaiV?Oc}Ieq*3_at_OIC}YP6UGwm<@-IuQ2KmE4$D(hZf~PNP
zg$s}7T`V6KxfQ9uepQP_at_L4$^JvR)`~95*uBUNCTm#THkB_{t&`XozW~gQviRp~7=7
zB;hyRi)yr&jvOZH1~n4Yj_KjQBABRJs$jGbMXO2?1dbW_%foe8vvJ*=M`uiG97hf<
zoM<YsjUD5~Z{o358DN<7oI&>#tsumXKyjTNCyd{sD_at_Gpmhx#_at_ofaypivEf30uXKgk
zSJ)~TcfIl6K7yA}?#BUIg%T6LPD5%4U?zZ_at_>4GZV6i!3bm@+_vlqyG_vT=Z=57?9V
zumuDhp)r96U{wjn6-Wv*juQ%|lnD;`4>$Vlj8wV*Pkx6c;<hT%jaWa~2mC+7$+-{~
zv=jxA|DzO7{5+BGYmER2Vyh&`aB!VvpLqy;Q50qsq96TU2Lab-TrJT7eF%`s#iB)`
z34xF_at_V}xyG$hbIg;1Eq2bi%^S0!Sc`D+NO)6*;&_2o?}|QYffOpo~%mfCj{2S<;ML
zMzYc)gld3xD2YuzRH3F-BQ`WKk$97c47(%+p?oU<1ZX1oas?Z6bW9W<ngK^ae78Y0
zCutXyBmp86Rrjc=k0>M{#6{XEm<WdoS?Z~Ph-jSxB?ZL6DYm(~<kbRNnR2vGrN`O)
zOJW$2cqo!cAdrVGojZ2qK{i}E7VjhplxrsU`v)m00zk6MiG<7|sC+REU!0DToe`_n
zM?*Tg;wXc6Pt$pAeRbOVuPZWiv0s8yk13II)ua!PJQJcJ=mJA|w?>g6K?*S95EBtP
z5JF%Q5J6;uBqhRNQIbF;0X~3Kf}{{<oMO}`GMB286bf$satXcdGnqE*M8i~|AZOKx
z7bm4KpP|9WoKFur^R9`}fEfcIWXunj1_A;YKx3KH43r^?$t*y}FA}pc9_at_Z&cOo>Qr
zE^K&60GbV0h+GiLLcszUW&sR_at_CIDn0LP#G*Kp+xhC)5Z{0ti^p%0UARBx6g05?C0^
zkTgxwOfWI4-Gl(bfwO=CfJOin+HcZsg;Uo6A6~c%cN}GSGatMPU0v;XotE0cv5TWW
z!^^+I1hI!(L&ZVlzK+We150pZ_L2%Xq!A9gUoPXW{kJ_PE!gmy08heg2$}RulPAF>
z444okARz)__at_GuzgIJA>>yptj?!7M=tBp`rlu?<vEfbuW^b+r}t+)$`TJxj+<q#+^U
zmH?-qNf`+qOHtwj#}=+Ui^^5ktF-7O5C~Bu3z{)j9glt?$|NHsrMNo<paDvn#cvaJ
z<~iu%W^1-v{X}(H8Azh^(4q<9t^*%iwevkD1D}8g)#X!hu_TyO1ANt22-jt>EdaMo
z;HTCc&&^#d3>wR1t`+_lV#`UaibUR51+{p<x#6)pC9Myrp!Mrvn5fA0v8<%cROng;
zh>_at_d7Q_at_o_~lLQIcH~|%5q)-wRd1VaC^no$6wkTC1Tf}A<F068jFWP3~Y|%{vbY7xU
zjf8sQ%c<(ll1QM;aTC|?(zTx6u^XR<qN#CVS*v$hrhP=(_SV_at_80+h);FbD^ng*O&4
V2t-~~0uBHCUC9*TLPDEpz5qUy9|HgY
literal 0
HcmV?d00001
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Mar 08 2017 - 23:10:13 GMT